<?php
/**
 * Theme information page
 *
 * @package Opportune
 */

//Add the theme page
add_action('admin_menu', 'opportune_add_theme_info');
function opportune_add_theme_info(){
	$theme_info = add_theme_page( esc_html__('Opportune Info','opportune'), esc_html__('Opportune Info','opportune'), 'manage_options', 'opportune-info.php', 'opportune_info_page' );
    add_action( 'load-' . $theme_info, 'opportune_info_hook_styles' );
}

//Callback
function opportune_info_page() {
?>
	<div class="info-container">
		<h2 class="info-title"><?php esc_html_e('Opportune Info','opportune'); ?></h2>
		<div class="info-block"><div class="dashicons dashicons-book-alt info-icon"></div>
        	<p class="info-text"><a href="http://www.shapedpixels.com/setup-opportune/" target="_blank"><?php esc_html_e('Setup Tutorials','opportune'); ?></a></p></div>
		<div class="info-block"><div class="dashicons dashicons-sos info-icon"></div>
        	<p class="info-text"><a href="https://wordpress.org/support/theme/opportune" target="_blank"><?php esc_html_e('Support','opportune'); ?></a></p></div>
 		<div class="info-block"><div class="dashicons dashicons-testimonial info-icon"></div>
 			<p class="info-text"><a href="https://wordpress.org/support/view/theme-reviews/opportune" target="_blank"><?php esc_html_e('Submit a Testimonial','opportune'); ?></a></p></div>	       
		<div class="info-block"><div class="dashicons dashicons-desktop info-icon"></div>
        	<p class="info-text"><a href="http://demos.shapedpixels.com/opportune" target="_blank"><?php esc_html_e('Theme demo','opportune'); ?></a></p></div>
         <div class="info-block"><div class="dashicons dashicons-smiley info-icon"></div>
        	<p class="info-text"><a href="http://www.shapedpixels.com/opportune-pro" target="_blank"><?php esc_html_e('Opportune Pro Version','opportune'); ?></a></p></div>           
	</div>
<?php
}

//Styles
function opportune_info_hook_styles(){
   	add_action( 'admin_enqueue_scripts', 'opportune_info_page_styles' );
}
function opportune_info_page_styles() {
	wp_enqueue_style( 'opportune-info-style', get_template_directory_uri() . '/css/info-page.css', array(), true );
}